Bug 23701 - i945 suspend to disk breaks with KMS
i945 suspend to disk breaks with KMS
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/intel
git
Other All
: high major
Assigned To: Wang Zhenyu
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-04 03:48 UTC by Matthias Hopf
Modified: 2010-03-08 21:03 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Output of intel_reg_dumper (9.72 KB, text/x-log)
2009-09-04 03:53 UTC, Matthias Hopf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Hopf 2009-09-04 03:48:30 UTC
System:              Samsung NC10
i915 driver version: 2.8.1
kernel version:      2.6.30.5 + 2.6.31.5
OS:                  openSUSE 11.1


After suspend to disk acceleration functions don't work any more if KMS is active. It doesn't matter whether KMS has been loaded before resume is invoked or not. Framebuffer display and console switch works fine still, but on X nothing is painted any more (mouse moves, though). Sometimes the Xserver crashes during resume.

/var/log/messages contains the following errors:
Sep  4 11:36:30 nc10 kernel: [ 6666.596157] Restarting tasks ... done.
Sep  4 11:36:30 nc10 kernel: [ 6666.768858] PM: Basic memory bitmaps freed
Sep  4 11:36:30 nc10 kernel: [ 6666.832119] Skipping EDID probe due to cached edid
Sep  4 11:36:30 nc10 kernel: [ 6666.837090] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.857130] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.857677] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.857721] [drm:i915_wait_request] *ERROR* i915_wait_request returns -5 (awaiting 104300 at 104303)
Sep  4 11:36:30 nc10 kernel: [ 6666.858306] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.858761] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.858979] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.859137] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.859385] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
Sep  4 11:36:30 nc10 kernel: [ 6666.859417] [drm:i915_wait_request] *ERROR* i915_wait_request returns -5 (awaiting 104302 at 104303)
[...]

When you switch to a console VT, the messages cease. Xorg.0.log shows nothing suspicious.


Restarting X is not sufficient to get the driver going again, a reboot is necessary. I also tried hibernating in runlevel 3 without starting X, starting X after suspend sort-of works shortly, but shows weird rendering artifacts (double drawn fonts etc.) before rendering stops again (about at window manager load time).
Comment 1 Matthias Hopf 2009-09-04 03:53:26 UTC
Created attachment 29208 [details]
Output of intel_reg_dumper

Done while switched on VT1. Only difference when run while switched on VT7 (X):
< (II):             DSPBBASE: 0x02c00000
---
> (II):             DSPBBASE: 0x007df000


intel_gpu_dump shows that the ring is empty (only MI_NOOP).
Comment 2 Gordon Jin 2009-09-06 19:12:37 UTC
Is this a regression?
Comment 3 Gordon Jin 2009-09-06 20:52:01 UTC
maybe related to bug#23175. ->zhenyu
Comment 4 Matthias Hopf 2009-09-07 03:06:54 UTC
(In reply to comment #2)
> Is this a regression?

Suspend to disk with an older driver version without KMS works AFAIR. But I have to retest.

So in a way this is a regression.
Comment 5 Wang Zhenyu 2009-09-07 17:57:01 UTC
It'll help if you can test with 2.6.31-rc9, I've fixed a resume issue which maybe relate to your problem.
Comment 6 Matthias Hopf 2009-09-11 07:22:42 UTC
Thanks for the note. I'll test this ASAP (which will at the beginning of next week).
Comment 7 Matthias Hopf 2009-09-16 02:54:19 UTC
(In reply to comment #5)
> It'll help if you can test with 2.6.31-rc9, I've fixed a resume issue which
> maybe relate to your problem.

Just checked rc9. No change in behavior, still broken.
It's on a Samsung NC10, so it's a pretty recent and well-sold machine.

Also checked w/o KMS again - hibernate works fine with that, even with 2.8.1.
Comment 8 Matthias Hopf 2009-09-22 10:12:23 UTC
Any other ideas? Anything I can try?

This is an Samsung NC10, that's a pretty common Netbook. Quite a number of people should have this issue...
Comment 9 Matthias Hopf 2009-12-16 08:53:57 UTC
It's been reported to be fixed with the current driver. However, I didn't have time to test this myself yet.
Comment 10 Wang Zhenyu 2010-03-08 21:03:46 UTC
Close this. Reopen if you still see the problem.